Issue 78701 - [API] Tree Control: impossible to edit a node (via API nor via UI)
[API] Tree Control: impossible to edit a node (via API nor via UI)
Status: VERIFIED FIXED
Product: App Dev
Classification: Unclassified
Component: api
OOo 3.3 or older
All All
: P3 trivial
: 4.0.0
Assigned To: Ariel Constenla-Haile
issues@api
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-20 13:36 UTC by chne
Modified: 2013-07-11 09:35 UTC (History)
4 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Proposed patch on OOO330 (392 bytes, text/plain)
2010-10-17 12:11 UTC, hanya
no flags Details
Test case (12.50 KB, application/vnd.oasis.opendocument.text)
2010-10-17 12:21 UTC, hanya
no flags Details
Patch for recent revision (418 bytes, patch)
2012-05-31 13:47 UTC, hanya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description chne 2007-06-20 13:36:49 UTC
method startEditingAtNode() has no effect.
It is neither possible to edit the node via API nor via UI
Comment 1 clippka 2007-07-23 17:22:51 UTC
retargeted
Comment 2 clippka 2008-01-10 09:36:43 UTC
@cl->kso: as I only helped out developing this control for your team, fixing
these issues has not much priority for me. And since I have a tight schedule I
send you this issue to decide if they are important enough to assign other
resources as it is unrealistic to assume that I will work on them any time soon.
Of course you can always escalate with my manager.
Comment 3 kai.sommerfeld 2008-01-10 09:59:25 UTC
Carsten, please take over.
Comment 4 hanya 2010-10-17 12:11:10 UTC
The type of the item is checked in SvTreeListBox::ImplEditEntry, but the IsA
method returns always 0, it should be return SV_ITEM_ID_LBOXSTRING.
Comment 5 hanya 2010-10-17 12:11:49 UTC
Created attachment 72081 [details]
Proposed patch on OOO330
Comment 6 hanya 2010-10-17 12:21:27 UTC
Created attachment 72082 [details]
Test case
Comment 7 Ariel Constenla-Haile 2012-05-30 06:07:18 UTC
(In reply to comment #5)
> Created attachment 72081 [details]
> Proposed patch on OOO330

@hanya: the patch seems to have the right fix. Can you provide an updated patch and verify it in AOO 3.4.0?
Comment 8 hanya 2012-05-31 13:47:14 UTC
Created attachment 77868 [details]
Patch for recent revision

(In reply to comment #7)
> (In reply to comment #5)
> > Created attachment 72081 [details]
> > Proposed patch on OOO330
> 
> @hanya: the patch seems to have the right fix. Can you provide an updated
> patch and verify it in AOO 3.4.0?
"Proposed patch on OOO330" was attached by my another account. Here is the patch for recent revision.
Comment 9 Ariel Constenla-Haile 2012-06-09 11:51:39 UTC
Committed as 0

@hanya: Thanks for your contribution
Comment 10 Ariel Constenla-Haile 2012-06-09 11:53:19 UTC
Fixed.
Comment 11 hanya 2012-06-09 12:22:55 UTC
@Ariel: Thanks for commit.
Comment 12 Li Lin Yi 2012-06-19 05:41:35 UTC
Changed to veriried. Verified on trunk 0.
Comment 13 Li Lin Yi 2012-06-19 07:22:16 UTC
Not fixed on branch, 0.
So I reopened it.
Comment 14 Li Lin Yi 2012-06-20 05:11:08 UTC
It is not a release blocker. Do not need to commit to branch.
So I changed to resolved again.
Comment 15 Li Lin Yi 2012-06-20 05:11:31 UTC
Verified on trunk 0.
Comment 16 hdu@apache.org 2013-07-11 09:35:44 UTC
Updated target to release that will contain the enhancement.